package game.monstersandwizards;

public class Gnome extends GardenGnome implements SuperPower,Victim {

  /**
   * Construct a gnome.
   * @param s the gnome's solidity
   */
  public Gnome(int s){
    super(s);
  }

  public double spell() {
    return Math.random()*super.getSolidity();
  }

  public String toString(){
    return "I am a gnome and my solidity is "+getSolidity();
  }

  @Override
  public int beingBewitched(int hit) {
    if (spell()>hit){
      return (int) spell();//
    } else {
      return 1;
    }
  }

}
